Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\SPI\Persistence\Content\Location\CreateStruct Class Reference
Inheritance diagram for eZ\Publish\SPI\Persistence\Content\Location\CreateStruct:

## Public Attributes
| $priority = 0
| $hidden = false
| $invisible = false
| $remoteId
| $contentId
| $contentVersion
| $pathIdentificationString
| $mainLocationId = true
| $sortField
| $sortOrder
| $parentId

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 11 of file SPI/Persistence/Content/Location/CreateStruct.php.

## Member Data Documentation

## ◆ $contentId

eZ\Publish\SPI\Persistence\Content\Location\CreateStruct::$contentId

Definition at line 52 of file SPI/Persistence/Content/Location/CreateStruct.php.

## ◆ $contentVersion

eZ\Publish\SPI\Persistence\Content\Location\CreateStruct::$contentVersion

Definition at line 61 of file SPI/Persistence/Content/Location/CreateStruct.php.

## ◆ $hidden

eZ\Publish\SPI\Persistence\Content\Location\CreateStruct::$hidden = false

Definition at line 28 of file SPI/Persistence/Content/Location/CreateStruct.php.

## ◆ $invisible

eZ\Publish\SPI\Persistence\Content\Location\CreateStruct::$invisible = false

Definition at line 36 of file SPI/Persistence/Content/Location/CreateStruct.php.

## ◆ $mainLocationId

eZ\Publish\SPI\Persistence\Content\Location\CreateStruct::$mainLocationId = true

Definition at line 84 of file SPI/Persistence/Content/Location/CreateStruct.php.

## ◆ $parentId

eZ\Publish\SPI\Persistence\Content\Location\CreateStruct::$parentId

Definition at line 109 of file SPI/Persistence/Content/Location/CreateStruct.php.

## ◆ $pathIdentificationString

eZ\Publish\SPI\Persistence\Content\Location\CreateStruct::$pathIdentificationString

Definition at line 72 of file SPI/Persistence/Content/Location/CreateStruct.php.

## ◆ $priority

eZ\Publish\SPI\Persistence\Content\Location\CreateStruct::$priority = 0

Definition at line 21 of file SPI/Persistence/Content/Location/CreateStruct.php.

## ◆ $remoteId

eZ\Publish\SPI\Persistence\Content\Location\CreateStruct::$remoteId

Definition at line 45 of file SPI/Persistence/Content/Location/CreateStruct.php.

## ◆ $sortField

eZ\Publish\SPI\Persistence\Content\Location\CreateStruct::$sortField

Definition at line 93 of file SPI/Persistence/Content/Location/CreateStruct.php.

## ◆ $sortOrder

eZ\Publish\SPI\Persistence\Content\Location\CreateStruct::$sortOrder

Definition at line 102 of file SPI/Persistence/Content/Location/CreateStruct.php.

The documentation for this class was generated from the following file:

- SPI/Persistence/Content/Location/CreateStruct.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.